//! Conversion utilities for ZMQ binding.

use rzmq::ZmqError;

use crate::error::{Error, ErrorKind, reason};


impl From<ZmqError> for Error {
    #[track_caller]
    fn from(value: ZmqError) -> Self {
        Error::new(ErrorKind::Reason(reason::API_ZmqFailed))
            .with_description(format!("{value}"))
            .with_source(Box::new(value))
    }
}
